Package org.apache.sling.scripting.bundle.tracker.internal

## Class BundledScriptTracker

- java.lang.Object
- - org.apache.sling.scripting.bundle.tracker.internal.BundledScriptTracker

All Implemented Interfaces:
  `org.osgi.util.tracker.BundleTrackerCustomizer<java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>>>`

    @Capability(namespace="osgi.extender",
                name="sling.scripting",
                version="1.0.0")
    public class BundledScriptTracker
    extends java.lang.Object
    implements org.osgi.util.tracker.BundleTrackerCustomizer<java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>>>

### Constructor Summary

Constructors
`BundledScriptTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext context)`
`java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>>` `addingBundle​(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleEvent event)`
`protected void` `deactivate()`
`void` `modifiedBundle​(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleEvent event, java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>> regs)`
`void` `removedBundle​(org.osgi.framework.Bundle bundle, org.osgi.framework.BundleEvent event, java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>> regs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundledScriptTracker

    public BundledScriptTracker()

### Method Detail

#### activate

    protected void activate​(org.osgi.framework.BundleContext context)

#### deactivate

    protected void deactivate()

#### addingBundle

    public java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>> addingBundle​(org.osgi.framework.Bundle bundle,
                                                                                                      org.osgi.framework.BundleEvent event)

Specified by:
  `addingBundle` in interface `org.osgi.util.tracker.BundleTrackerCustomizer<java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>>>`

#### modifiedBundle

    public void modifiedBundle​(org.osgi.framework.Bundle bundle,
                               org.osgi.framework.BundleEvent event,
                               java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>> regs)

Specified by:
  `modifiedBundle` in interface `org.osgi.util.tracker.BundleTrackerCustomizer<java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>>>`

#### removedBundle

    public void removedBundle​(org.osgi.framework.Bundle bundle,
                              org.osgi.framework.BundleEvent event,
                              java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>> regs)

Specified by:
  `removedBundle` in interface `org.osgi.util.tracker.BundleTrackerCustomizer<java.util.List<org.osgi.framework.ServiceRegistration<javax.servlet.Servlet>>>`